perl-Test-Pod-Coverage-1.10-alt1.noarch.rpm


Advertisement

Description

perl-Test-Pod-Coverage - Test-Pod-Coverage - Check for pod coverage in your distribution

Property Value
Distribution ALT Linux Sisyphus
Repository Classic noarch
Package filename perl-Test-Pod-Coverage-1.10-alt1.noarch.rpm
Package name perl-Test-Pod-Coverage
Package version 1.10
Package release alt1
Package architecture noarch
Package type rpm
Category Development/Perl
Homepage -
License -
Maintainer -
Download size 11.50 KB
Installed size 11.50 KB
Checks for POD coverage in files for your distribution.
use Test::Pod::Coverage tests=>1;
pod_coverage_ok( "Foo::Bar", "Foo::Bar is covered" );
Can also be called with Pod::Coverage parms.
use Test::Pod::Coverage tests=>1;
pod_coverage_ok(
"Foo::Bar",
{ also_private => [ qr/^[A-Z_]+$/ ], },
"Foo::Bar, with all-caps functions as privates",
);
The Pod::Coverage parms are also useful for subclasses that don't
re-document the parent class's methods.  Here's an example from
Mail::SRS.
pod_coverage_ok( "Mail::SRS" ); # No exceptions
my $trustme = { trustme => [qr/^(new|parse|compile)$/] };
pod_coverage_ok( "Mail::SRS::DB", $trustme );
pod_coverage_ok( "Mail::SRS::Guarded", $trustme );
pod_coverage_ok( "Mail::SRS::Reversable", $trustme );
pod_coverage_ok( "Mail::SRS::Shortcut", $trustme );

Alternatives

Package Version Architecture Repository
perl-Test-Pod-Coverage - - -

Requires

Name Value
/usr/share/perl5 -
perl(Pod/Coverage.pm) -
perl(Test/Builder.pm) -
rpmlib(PayloadIsLzma) -

Provides

Name Value
perl(Test/Pod/Coverage.pm) = 1.100
perl-Test-Pod-Coverage = 1.10-alt1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package perl-Test-Pod-Coverage-1.10-alt1.noarch.rpm
Source Package perl-Test-Pod-Coverage-1.10-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install perl-Test-Pod-Coverage rpm package:
    # sudo apt-get install perl-Test-Pod-Coverage

Files

Path
/usr/share/doc/perl-Test-Pod-Coverage-1.10/Changes
/usr/share/perl5/Test/Pod/Coverage.pm

Changelog

2014-07-25 - Igor Vlasenko <viy@altlinux.ru> 1.10-alt1
- automated CPAN update
2010-11-22 - Igor Vlasenko <viy@altlinux.ru> 1.08-alt3.1
- repair after perl 5.12 upgrade using girar-nmu
2008-09-06 - Vitaly Lipatov <lav@altlinux.ru> 1.08-alt3
- fix directory ownership violation

See Also

Package Description
perl-Test-Pod-LinkCheck-0.008-alt1_1.noarch.rpm Tests POD for invalid links
perl-Test-Portability-Files-0.10-alt1_1.noarch.rpm Check file names portability
perl-Test-Prereq-2.002-alt1.noarch.rpm Check if Makefile.PL has the right pre-requisites
perl-Test-Refcount-0.08-alt1_12.noarch.rpm Assert reference counts on objects
perl-Test-Reporter-1.62-alt1_10.noarch.rpm Sends test results to cpan-testers@perl.org
perl-Test-Requires-0.10-alt1.noarch.rpm Checks to see if the module can be loaded
perl-Test-Requires-Git-1.008-alt1.noarch.rpm Check your test requirements against the available version of Git
perl-Test-RequiresInternet-0.05-alt2.noarch.rpm Easily test network connectivity
perl-Test-Resub-2.03-alt1.noarch.rpm Lexically scoped monkey patching for testing
perl-Test-Run-0.0304-alt1.noarch.rpm Named sprintf according to the
perl-Test-Run-CmdLine-0.0131-alt1.noarch.rpm Command line front-end for Test-Run
perl-Test-Script-1.25-alt1.noarch.rpm Test::Script - Basic cross-platform tests for scripts
perl-Test-Script-Run-0.08-alt1.noarch.rpm Test the script with run
perl-Test-SharedFork-0.35-alt1.noarch.rpm Test::SharedFork - fork test
perl-Test-Spec-0.54-alt1.noarch.rpm Write tests in a declarative specification style
Advertisement
Advertisement